Bug 113707 - Building error at disabled "no_gnome_askpass"
Building error at disabled "no_gnome_askpass"
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: openssh (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 13:35 EST by Robert Scheck
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version: 3.8.1p1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 04:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-01-16 13:35:36 EST
Description of problem:
--- snipp ---
Error: Installed (but unpackaged) file(s) found:
   /etc/profile.d/gnome-ssh-askpass.csh
   /etc/profile.d/gnome-ssh-askpass.sh


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /etc/profile.d/gnome-ssh-askpass.csh
   /etc/profile.d/gnome-ssh-askpass.sh
--- snapp ---

Version-Release number of selected component (if applicable):
<= openssh-3.6.1p2-25

How reproducible and steps to reproduce:
1. Edit the spec file and set the following:
   %define no_gnome_askpass 1
2. rpmbuild -ba openssh.spec
3. Wait and get the error above :-(
  
Actual results:
The error is still simple, someone forgot an if-case in the spec 
file.

Expected results:
You could solve the problem in the same way, I did it. Change the 
following:

--- snipp ---
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
install -m 755 contrib/redhat/gnome-ssh-askpass.csh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
install -m 755 contrib/redhat/gnome-ssh-askpass.sh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
--- snapp ---

to that:

--- snipp ---
%if ! %{no_gnome_askpass}
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
install -m 755 contrib/redhat/gnome-ssh-askpass.csh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
install -m 755 contrib/redhat/gnome-ssh-askpass.sh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
%endif
--- snapp ---

Then, rebuilding with that disabled option will work fine.

Additional info:
Same problem at Red Hat Linux 9 and Fedora Core 1.
Comment 1 Robert Scheck 2004-05-13 13:59:06 EDT
Could this little building fix please applied (maybe with other changes) 
to Fedora Core Development - it doesn't hurt anyone...really :)

Thank you.
Comment 2 Robert Scheck 2004-06-15 04:47:37 EDT
Thank you for fixing my issue with the latest update :-)

Note You need to log in before you can comment on or make changes to this bug.